# Kimai documentation

This is the official Kimai v2 documentation. 

Most parts of Kimai should be self-explanatory, but if you miss any information please [let us know](https://github.com/kevinpapst/kimai2/issues) 
and we will add it as soon as possible. 

## User manual

- [Timesheets](timesheet.md) - information about timesheets
- [Export](export.md) - export filtered timesheet data
- [Invoices](invoices.md) - create invoices from timesheet data in different formats with customizable templates
- [User and Security](users.md) - docu for user and security topics, like authentication, registration and roles

## Admins and Developers
  
- [Configurations](configurations.md) - intro into the global application configs
    - [Calendar](calendar.md) - the Timesheet calendar view
    - [Dashboard & widgets](dashboard.md) - how to configure widgets and dashboard sections
    - [Emails](emails.md) - transport configuration and handling of emails
    - [Permissions](permissions.md) - flexible and configurable ROLE based permission system 
- [Developer](developers.md) - docs about extending Kimai's feature set  
    - [API](developers_api.md) - how to use the JSON API 
    - [Theme settings](theme.md) - theme related settings
- [Installation](installation.md) - instructions about several installation methods
    - [Update Kimai](updates.md) - updating an existing Kimai 2 installation to the latest version
    - [Docker](docker.md) - using the built-in Dockerfile for development
    - [Importing data](migration_v1.md) - how to import your timesheets from Kimai v1
- [Translations](translations.md) - all about languages and translations
- [FAQ](faq.md) - some answers to frequently asked questions 
